Subject: Re: bug#14700: 24.3.50; Animated ImageMagick images doesn't work

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2013 16:18:27 +0200

I've checked in a fix that will actually animate ImageMagick images
now.  (It previously computed the index and everything, but didn't
actually use it for anything.)

So the example code in this bug now "works".  But it's really ugly.  It
displays the same bugs as gif animation did before Chong Yidong fixed it
in 2011.  Looking at those fixes, it looks like is has something to do
with...  er...  transparent colours and...  something.

I'm trying to google to see whether anybody has written some code to use
ImageMagick to display animated gifs to see whether there's any way to
make ImageMagick compute all this stuff itself, but so far I've come up
short.

Anybody?

-- 
(domestic pets only, the antidote for overdose, milk.)
  No Gnus T-Shirt for sale: http://ingebrigtsen.no/no.php
  and http://lars.ingebrigtsen.no/2013/08/twenty-years-of-september.html